# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'rest_base/version'

Gem::Specification.new do |spec|
  spec.name          = "sinatra-rest-base"
  spec.version       = RestBase::VERSION
  spec.authors       = ["bmills"]
  spec.email         = ["brandon.mills@careerbuilder.com"]
  spec.summary       = %q{Base class for quickly setting up RESTful services through Sinatra.}
  spec.description   = %q{Base class for quickly setting up RESTful services through Sinatra.}
  spec.homepage      = ""
  spec.license       = "MIT"
  spec.required_ruby_version = '>= 1.9.3'

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]
  
  spec.add_dependency "json", "~> 1.8"
  spec.add_dependency "sinatra", "~> 1.4"
  spec.add_dependency "thin", "~> 1.6"  
  spec.add_dependency "activesupport", "~> 4.1"
  spec.add_dependency "builder", "~> 3.2"

  spec.add_development_dependency "bundler", "~> 1.6"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "rack-test", "~> 0.6"
  spec.add_development_dependency "rspec", "~> 3.0"
  spec.add_development_dependency "simplecov", "~> 0.8"
end
