require 'spec_helper'

describe RestBase::Application do
  before(:each) do
    @headers = { 'HTTP_AUTHORIZATION' => 'key1' }  
  end
  
  describe :invalid_request do
    it "should return the invalid param messages" do
      expected_body = {
        :errors => [
          "Invalid Request Format",
          "param1 is not valid: Must be a String",
          "param2 is not valid: Must be an Integer"
        ]
      }
      
      get '/invalid_request', {}, @headers
      
      expect(last_response.body).to eq(expected_body.to_json)
    end
  end
end
