module RestBase
  module Test
    class TestApplication < RestBase::Application
      configure do
        enable :raise_errors
        set :authentication, RestBase::Authentication::BasicAuthentication.new(['key1', 'key2'])
        enable :header_versioning
      end
      
      before '/method_filter', :method => :get do
        @method_response = []
        @method_response << "Hit Before Filter"
      end
      
      get '/method_filter' do
        @method_response << "Response Filtered"
        @method_response
      end
      
      put '/method_filter' do
        @method_response = []
        @method_response << "Response Filtered"
        @method_response
      end
    end
  end
end